Subject: Re: [AVTCORE] [Technical Errata Reported] RFC5764 (3971)

From: Magnus Westerlund <[email-masked]>
Date: Mon, 16 Feb 2015 09:34:36 +0100

WG,

I hereby decided that the WG's recommendation for this Errata is that it
is VERIFIED.

Cheers

Magnus Westerlund

On 2015-01-28 16:28, Magnus Westerlund wrote:
> WG, EKR and David
> 
> Without having any deep knowledge of TLS, this errata appears to be
> correct and minor potential source of confusion. Thus, I would propose
> that we put this on into "Verified" status. I would appreciate if EKR
> could confirm this as being valid.
> 
> WG, please provide feedback by the 12th of February.
> 
> Cheers
> 
> Magnus Westerlund
> 
> 
> On 2014-04-23 01:02, RFC Errata System wrote:
>> The following errata report has been submitted for RFC5764,
>> "Datagram Transport Layer Security (DTLS) Extension to Establish Keys for the Secure Real-time Transport Protocol (SRTP)".
>>
>> --------------------------------------
>> You may review the report below and at:
>> http://www.rfc-editor.org/errata_search.php?rfc=5764&eid=3971
>>
>> --------------------------------------
>> Type: Technical
>> Reported by: Martin Thomson <[email-masked]>
>>
>> Section: 4.1.3
>>
>> Original Text
>> -------------
>>    If the client detects a nonzero-length MKI in the server's response
>>    that is different than the one the client offered, then the client
>>    MUST abort the handshake and SHOULD send an invalid_parameter alert.
>>
>> Corrected Text
>> --------------
>>    If the client detects a nonzero-length MKI in the server's response
>>    that is different than the one the client offered, then the client
>>    MUST abort the handshake and SHOULD send an illegal_parameter alert.
>>
>> Notes
>> -----
>> invalid_parameter isn't defined anywhere; this probably means illegal_parameter(47), which is defined in RFC 5246.
>>
>> Instructions:
>> -------------
>> This errata is currently posted as "Reported". If necessary, please
>> use "Reply All" to discuss whether it should be verified or
>> rejected. When a decision is reached, the verifying party (IESG)
>> can log in to change the status and edit the report, if necessary. 
>>
>> --------------------------------------
>> RFC5764 (draft-ietf-avt-dtls-srtp-07)
>> --------------------------------------
>> Title               : Datagram Transport Layer Security (DTLS) Extension to Establish Keys for the Secure Real-time Transport Protocol (SRTP)
>> Publication Date    : May 2010
>> Author(s)           : D. McGrew, E. Rescorla
>> Category            : PROPOSED STANDARD
>> Source              : Audio/Video Transport
>> Area                : Real-time Applications and Infrastructure
>> Stream              : IETF
>> Verifying Party     : IESG
>>
>> _______________________________________________
>> Audio/Video Transport Core Maintenance
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/avt
>>
> 
> 

-- 

Magnus Westerlund

----------------------------------------------------------------------
Services, Media and Network features, Ericsson Research EAB/TXM
----------------------------------------------------------------------
Ericsson AB                 | Phone  +46 10 7148287
Färögatan 6                 | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden | mailto: [email-masked]
----------------------------------------------------------------------